#include <stdio.h>
#include <getargs.h>

#define E(x)	fprintf(stderr,"%s\n",x)

int	Echo = 0;

ARG Argtab[] =
{
	{ 'e', BOOLEAN, &Echo,	"Echo directory names as they're created" }
};

#define	ASIZE ( sizeof(Argtab)/sizeof(ARG) )


/*----------------------------------------------------------------------*/

usage()
{
	E("\nUsage:            mkdir [-e] name [... name]\n" );

	E("Make all directories in the list. An error message is printed if");
	E("the directory already exists. An exit status of 0 is returned only");
	E("if all directories are made successfully, otherwise 1 is returned");

	E("\nMkdir: Copyright (C) 1986, Allen I. Holub. All rights reserved."); 
	exit( 1 );
}

/*----------------------------------------------------------------------*/

main(argc, argv)
char	**argv;
{
	register int	exit_val = 0;

	ctlc();

	argc = getargs(argc, argv, Argtab, ASIZE, usage);

	for( ++argv; --argc > 0 ; ++argv )
	{
		if( Echo )
			fprintf(stderr, "Creating %s", *argv );

		if( mkdir( *argv ) < 0 )
		{
			if( !Echo )
				fprintf(stderr, "%s", *argv );

			fprintf(stderr, ": already exists\n" );
			exit_val = 1;
		}

		if( Echo )
			putc('\n', stderr );
	}

	exit( exit_val );
}
